v1
Submit Task Input
Submit structured user input to a workflow waiting on request_user_input.
Secret values are written to the workspace secret manager at the API boundary. Only secret refs are sent to Temporal/LLM context.
POST
/
v1
/
agents
/
{agent_id}
/
tasks
/
{task_id}
/
input
Submit Task Input
curl --request POST \
--url https://api.example.com/v1/agents/{agent_id}/tasks/{task_id}/input \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"input_request_id": "<string>",
"answers": {},
"secrets": {}
}
'import requests
url = "https://api.example.com/v1/agents/{agent_id}/tasks/{task_id}/input"
payload = {
"input_request_id": "<string>",
"answers": {},
"secrets": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({input_request_id: '<string>', answers: {}, secrets: {}})
};
fetch('https://api.example.com/v1/agents/{agent_id}/tasks/{task_id}/input', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"ctx": {},
"input": "<unknown>"
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Response
Successful Response
⌘I
Submit Task Input
